package theater

import (
	"gitlab.com/oiacow/goheroes/backend/core"
	"gitlab.com/oiacow/goheroes/backend/core/codec"
)

type ansECHO struct {
	TID       string `fesl:"TID"`
	Txn       string `fesl:"TXN"`
	IP        string `fesl:"IP"`
	Port      int    `fesl:"PORT"`
	ErrStatus int    `fesl:"ERR"`
	Type      int    `fesl:"TYPE"`
}

func (tm *Theater) ECHO(event core.SocketUDPEvent) {
	cmd := event.Data.(*codec.Cmd)

	tm.socketUDP.WriteEncode(&codec.Answer{
		Type: codec.ThtrEcho,
		Payload: ansECHO{
			TID:       cmd.Msg["TID"],
			IP:        event.Addr.IP.String(),
			Port:      event.Addr.Port,
			ErrStatus: 0,
			Type:      1,
		},
	}, event.Addr)
}
