package theater

import (
	"github.com/sirupsen/logrus"
	"gitlab.com/oiacow/goheroes/backend/core"
	"gitlab.com/oiacow/goheroes/backend/core/codec"
)

// type reqEGRS struct {
// 	// TID=6
// 	TID int `fesl:"TID"`

// 	// LID=1
// 	LobbyID int `fesl:"LID"`
// 	// GID=12
// 	GameID int `fesl:"GID"`
// 	// ALLOWED=1
// 	// ALLOWED=0
// 	IsAllowed int `fesl:"ALLOWED"`
// 	// PID=3
// 	PlayerID int `fesl:"PID"`

// 	// Reason is only sent when ALLOWED=0 and there is some kind of error
// 	// REASON=-602
// 	Reason string `fesl:"REASON,omitempty"`
// }

type ansEGRS struct {
	TID string `fesl:"TID"`
}

// EGRS - SERVER sent up, tell us if client is 'allowed' to join
func (tm *Theater) EnterGameHostResponse(event core.EClientCmd) {
	if event.Cmd.Msg["ALLOWED"] == "0" {
		logrus.
			WithFields(logrus.Fields{
				"gameID": event.Cmd.Msg["GID"],
				"heroID": event.Cmd.Msg["PID"],
				"reason": event.Cmd.Msg["REASON"],
			}).
			Warn("EGRS: Player cant join server, look for REASON code")
			logrus.Println("===EGRS ERROR===")

	}
	logrus.Println("====SENT EGRS===")

	event.Client.WriteEncode(&codec.Answer{
		Type:    codec.ThtrEnterGameResponse,
		Payload: ansEGRS{event.Cmd.Msg["TID"]},
	})
}
