package theater

import (
	"gitlab.com/oiacow/goheroes/backend/core"
	"gitlab.com/oiacow/goheroes/backend/core/codec"
)

type reqPENT struct {
	// TID=7
	TID int `fesl:"TID"`
	// LID=1
	LobbyID int `fesl:"LID"`
	// GID=72
	GameID int `fesl:"GID"`
	// PID=733
	PlayerID int `fesl:"PID"`
}

type ansPENT struct {
	TID      string `fesl:"TID"`
	PlayerID string `fesl:"PID"`
}

// PlayerEntered player joined game
func (tm *Theater) PlayerEntered(event core.EClientCmd) {
	event.Client.WriteEncode(&codec.Answer{
		Type: codec.ThtrPlayerEnter,
		Payload: ansPENT{
			event.Cmd.Msg["TID"],
			event.Cmd.Msg["PID"],
		},
	})
}
